#ifndef ANGLE_HXX
#define ANGLE_H 1

/* # of points around a full circle */
#define MAXANGLE 2048

/* make sure we have a value of pi defined */
#ifndef M_PI
#define M_PI 3.14159265358979323846
#endif

/* load the fixed-point defines */
#include "fixpoint.h"

/* defines for sine and cosine tables */
#ifdef MODULE_ANGLE
FIXED SinCos[MAXANGLE + MAXANGLE / 4];
FIXED *isin = &SinCos[0], *icos = &SinCos[MAXANGLE / 4];
#else
extern FIXED SinCos[MAXANGLE + MAXANGLE / 4];
extern FIXED *isin, *icos;
#endif

/* call this routine BEFORE using either the sine of cosine table above */
void InitAngleTable(void);

#endif
